* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-tap-highlight-color: transparent;
    border: none;
}

html::before {
    content: "";
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;

    background-image: url('/background.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    opacity: 0.1; 
}

input::placeholder {
    font-style: italic;
}

textarea::placeholder {
    font-style: italic;
}

button {
    border: 1px solid black;
    border-radius: 4px;
}

dialog {
    border: 1px solid black;
    /* margin: auto; */
}

dialog::backdrop {
    background: none;
}

main {
    /* display: flex;
    flex-direction: column; */
    width: 60%;
    margin: 0 auto;
}

#new-entry {
    margin: 1rem auto;
    display: flex;
    flex-direction: column;
    border: 1px solid black;
    border-radius: 10px;
    padding: 0.5rem 1rem;
}

#new-entry input {
    /* height: 2em; */
    padding-top: 3px;
    padding-bottom: 1px;
    border-bottom: 1px solid black;
}

#category {
    border-bottom: 1px solid black;
}

#content {
    margin-top: 0.5em;
    margin-bottom: 0.5em;
    field-sizing: content;
    min-height: 50px;
    border: 1px solid black;
    border-radius: 5px;
}

#new-entry button {
    margin-top: 0.5em;
}

#entry-list {
    /* width: 60%; */
    margin-top: 1rem;
    margin-left: auto;
    margin-right: auto;
}

.empty-entity {
    color: rgba(128, 128, 128, 0.5);
    font-style: italic;
}

.entry-block {
    display: flex;
    flex-direction: column;
    border: 1px solid black;
    border-radius: 1rem;
    margin: 1rem auto;
    padding: 1rem;
    max-height: 50vh;
}

.content {
    overflow-y: auto;
    margin-bottom: 1rem;
}

.meta {
    display: flex;
    align-items: center;
    width: 100%;
    margin: 0.5rem auto;
}

.meta .category {
    margin-left: 0;
    margin-right: 1rem;
    text-decoration: underline;
    /* text-underline-position: under; */
}

.meta .visibility {
    margin-left: auto;
    margin-right: 0;
    padding: 3px;
    border-radius: 7px;
}

.private {
    background-color: rgba(256, 0, 0, 0.2)
}

.public {
    background-color: rgba(0, 256, 0, 0.2);
}

@media (max-width: 768px) {
    html::before {
        height: 100lvh;
    }

    main {
        width: auto;
        margin: 0 1rem;
    }

}